# assign-deep [![NPM version](https://badge.fury.io/js/assign-deep.svg)](http://badge.fury.io/js/assign-deep)  [![Build Status](https://travis-ci.org/jonschlinkert/assign-deep.svg)](https://travis-ci.org/jonschlinkert/assign-deep)

> Deeply assign the enumerable properties of source objects to a destination object.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i assign-deep --save
```

## Usage

```js
var assign = require('assign-deep');

var one = {b: {c: {d: 'e'}}};
var two = {b: {c: {f: 'g', j: 'i'}}};

assign(one, two);
//=> {b: {c: {d: 'e', f: 'g', j: 'i'}}}
```

## Related projects

* [defaults-deep](https://github.com/jonschlinkert/defaults-deep): Like `extend` but recursively copies only the missing properties/values to the target object.
* [extend-shallow](https://github.com/jonschlinkert/extend-shallow): Extend an object with the properties of additional objects. node.js/javascript util.
* [is-extendable](https://github.com/jonschlinkert/is-extendable): Returns true if a value is any of the object types: array, regexp, plain object,… [more](https://github.com/jonschlinkert/is-extendable)
* [merge-deep](https://github.com/jonschlinkert/merge-deep): Recursively merge values in a javascript object.
* [mixin-deep](https://github.com/jonschlinkert/mixin-deep): Deeply mix the properties of objects into the first object. Like merge-deep, but doesn't clone.
* [omit-deep](https://github.com/jonschlinkert/omit-deep): Recursively omit the specified key or keys from an object.

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/assign-deep/issues/new)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on June 29, 2015._